/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer
 *  ファイル：AxisMember.java
 *  説明：ユーザーをあらわすクラスです。
 *  作成日: 2003/12/28
 */

package openolap.viewer;

import java.io.Serializable;

/**
 *  クラス：User
 *  説明：ユーザーをあらわすクラスです。
 */
public class User implements Serializable {

	// ********** インスタンス変数 **********

	/** ユーザID */
	final private String id;

	/** ユーザ名 */
	final private String name;

	/** 管理者かどうかをあらわすフラグ */
	final private boolean isAdmin;

	/** エクスポートするファイルの種類(csv もしくは excel2002 形式) */
	final private String exportFileType;

	// ********** コンストラクタ **********

	/**
	 * ユーザーオブジェクトを生成します。
	 */
	public User(String id, String name, boolean isAdmin, String exportFileType) {
		this.id = id;
		this.name = name;
		this.isAdmin = isAdmin;
		this.exportFileType = exportFileType;
	}

	// ********** Getter メソッド **********

	/**
	 * ユーザーIDを求める。
	 * @return ユーザーID
	 */
	public String getID() {
		return id;
	}

	/**
	 * ユーザー名を求める。
	 * @return ユーザー名
	 */
	public String getName() {
		return name;
	}

	/**
	 * 管理者ユーザーであればtrue、一般ユーザーであればfalseを戻す。
	 * @return 管理者ユーザーか
	 */
	public boolean isAdmin() {
		return isAdmin;
	}

	/**
	 * エクスポートするファイルのタイプを求める。
	 * @return エクスポートタイプ
	 */
	public String getExportFileType() {
		return exportFileType;
	}

}
